%define nm_version          0.9.0
%define dbus_version        1.1
%define gtk3_version        3.0
%define shared_mime_version 0.16-3

Summary:	NetworkManager VPN integration for PPTP
Name:		networkmanager-pptp
Epoch:		1
Version:	0.9.8.0
Release:	%mkrel 1
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
Group:		System/Base
# How to build the source package:
# - Check out NetworkManager from Gnome SVN, currently trunk is used
# - cd NetworkManager/vpn-daemons/pptp
# - ./autogen.sh --prefix=/usr --sysconfdir=/etc
# - make distclean
# - cd ..
# - mv pptp NetworkManager-pptp-%{version}
# - tar cvfz NetworkManager-pptp-%{version}.tar.gz NetworkManager-pptp-%{version}
Source:		http://download.gnome.org/sources/NetworkManager-pptp/0.9/NetworkManager-pptp-%version.tar.xz
BuildRequires:	gtk+3.0-devel >= %{gtk3_version}
BuildRequires:	dbus-devel >= %{dbus_version}
BuildRequires:	libnm-util-devel >= %{nm_version}
BuildRequires:	libnm-glib-devel >= %{nm_version}
BuildRequires:	libnm-glib-vpn-devel >= %{nm_version}
BuildRequires:	glib2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	gnomeui2-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libpng-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	libtool intltool gettext
BuildRequires:	perl
BuildRequires:	gnome-common
BuildRequires:	ppp-devel
Requires:	gtk+3.0             >= %{gtk3_version}
Requires:	dbus             >= %{dbus_version}
Requires:	NetworkManager   >= %{nm_version}
Requires:	shared-mime-info >= %{shared_mime_version}
Requires:	GConf2
Requires:	gnome-keyring
Requires:	pptp-linux

%description
This package contains software for integrating the PPTP VPN
with NetworkManager and the GNOME desktop.

%prep
%setup -q -n NetworkManager-pptp-%{version}

%build
if [ ! -f configure ]; then
  ./autogen.sh
fi
%configure2_5x --disable-static --disable-dependency-tracking
%make CFLAGS="%{optflags} -Wno-error=deprecated-declarations"

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/NetworkManager/*.la

%find_lang NetworkManager-pptp

%files -f NetworkManager-pptp.lang
%doc AUTHORS ChangeLog README
%{_libdir}/NetworkManager/libnm-pptp-properties.so
%{_libdir}/pppd/*/nm-pptp-pppd-plugin.so
%{_libdir}/pppd/*/nm-pptp-pppd-plugin.la
%{_libexecdir}/nm-pptp-auth-dialog
%{_libexecdir}/nm-pptp-service
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-pptp-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-pptp-service.name
%{_datadir}/gnome-vpn-properties/pptp/nm-pptp-dialog.ui
# For now disabled in upstream
#{_datadir}/applications/nm-pptp.desktop
#{_datadir}/icons/hicolor/*/apps/*



%changelog

* Wed Feb 20 2013 ovitters <ovitters> 1:0.9.8.0-1.mga3
+ Revision: 399583
- new version 0.9.8.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 guillomovitch <guillomovitch> 1:0.9.6.0-1.mga3
+ Revision: 282844
- disable warnings preventing the build

  + ovitters <ovitters>
    - new version 0.9.6.0
    - new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 1:0.9.4.0-1.mga2
+ Revision: 225995
- new version 0.9.4.0
- new version 0.9.3.995
- clean spec

  + mikala <mikala>
    - Update tarball to 0.9.0
    - use xz tarball

* Tue Jun 14 2011 mikala <mikala> 1:0.8.999-1.mga2
+ Revision: 106238
- Update tarball to 0.8.999
- Fix BuildRequires

* Thu Apr 21 2011 mikala <mikala> 1:0.8.4-1.mga1
+ Revision: 89454
- Update tarball to 0.8.4

* Thu Apr 14 2011 mikala <mikala> 1:0.8.3.999-1.mga1
+ Revision: 85269
- Update tarball

* Tue Mar 29 2011 mikala <mikala> 1:0.8.2-1.mga1
+ Revision: 78831
- imported package networkmanager-pptp

